Updates an existing integration.
Omit credential fields to keep existing values unchanged.
Authorization
Bearer JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
The unique identifier of the integration.
The tenant identifier
The fields to update.
Human-readable name shown in the UI. Max 100 characters.
length <= 100Optional description of what the integration connects to. Max 500 characters.
length <= 500Represents the metadata for configuration of an integration.
Response Body
curl -X PUT "https://api.fruxon.com/v1/tenants/string/integrations/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"displayName": "string",
"description": "string",
"type": "SYSTEM",
"configMetadata": {
"parametersMetadata": [
{
"name": "string",
"index": 0,
"type": "String",
"typeName": "string",
"integerRange": null,
"floatRange": null,
"options": null,
"asset": null,
"displayName": "string",
"description": "string",
"required": false,
"secret": false,
"defaultValue": "string",
"jsonSchema": null,
"uiHint": null,
"rules": []
}
],
"authMetadata": [
{
"id": "string",
"displayName": "string",
"description": "string",
"type": "UNSPECIFIED",
"sensitivity": "UNSPECIFIED",
"authProviderName": "string",
"configTestSupported": false,
"supportedLevels": [
"APPLICATION",
"USER"
],
"authMap": {
"useMap": false,
"keyTemplate": null,
"parametersMetadata": []
},
"authSettings": {
"parameters": {}
},
"parametersMetadata": [],
"availableScopes": []
}
]
},
"tags": [
"string"
],
"isInternal": false,
"createdAt": 0,
"modifiedAt": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}Creates a new integration.
Credentials are encrypted at rest and never returned in API responses.
Verifies that the provided auth configuration can successfully connect to the integration.
Only supported for auth methods with `ConfigTestSupported = true`. Returns 400 if the auth method does not support verification.